## org.codehaus.groovy.grails.plugins.web.taglib
Class PrototypeProvider

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.taglib.PrototypeProvider

All Implemented Interfaces:
  groovy.lang.GroovyObject, JavascriptProvider

    public class PrototypeProvider

extends Object
implements JavascriptProvider, groovy.lang.GroovyObject

Constructor Summary
`PrototypeProvider()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`Object` `doRemoteFunction(Object taglib, Object attrs, Object out)`
`Object` `getAjaxOptions(Object options)`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`Object` `invokeMethod(String method, Object arguments)`
`Object` `prepareAjaxForm(Object attrs)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrototypeProvider

    public PrototypeProvider()

Method Detail

### doRemoteFunction

    public Object doRemoteFunction(Object taglib,
                                   Object attrs,
                                   Object out)

  Specified by:
    `doRemoteFunction` in interface `JavascriptProvider`

### getAjaxOptions

    public Object getAjaxOptions(Object options)

### prepareAjaxForm

    public Object prepareAjaxForm(Object attrs)

  Specified by:
    `prepareAjaxForm` in interface `JavascriptProvider`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project